gnutls_x509_crt_get_expiration_time(3)

NAME
gnutls_x509_crt_get_expiration_time - API function

SYNOPSIS
#include <gnutls/x509.h>

time_t gnutls_x509_crt_get_expiration_time(gnutls_x509_crt_t cert);

ARGUMENTS

gnutls_x509_crt_t cert
    should contain a gnutls_x509_crt_t structure

DESCRIPTION
This function will return the time this Certificate was or will be expired.

RETURNS
expiration time, or (time_t)-1 on error.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.